Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class EC2SecurityGroup

    java.lang.Object
      com.amazonaws.services.rds.model.EC2SecurityGroup

    public class EC2SecurityGroup

extends Object

Constructor Summary
`EC2SecurityGroup()`

Method Summary
`String` | `getEC2SecurityGroupName()` Specifies the name of the EC2 Security Group.
`String` | `getEC2SecurityGroupOwnerId()` Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.
`String` | `getStatus()` Provides the status of the EC2 security group.
`void` | `setEC2SecurityGroupName(String eC2SecurityGroupName)` Specifies the name of the EC2 Security Group.
`void` | `setEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)` Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.
`void` | `setStatus(String status)` Provides the status of the EC2 security group.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`EC2SecurityGroup` | `withEC2SecurityGroupName(String eC2SecurityGroupName)` Specifies the name of the EC2 Security Group.
`EC2SecurityGroup` | `withEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)` Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.
`EC2SecurityGroup` | `withStatus(String status)` Provides the status of the EC2 security group.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EC2SecurityGroup

    public EC2SecurityGroup()

Method Detail

### getStatus

    public String getStatus()

  Provides the status of the EC2 security group.

  Returns:
    Provides the status of the EC2 security group.

### setStatus

    public void setStatus(String status)

  Provides the status of the EC2 security group.

  Parameters:
    `status` - Provides the status of the EC2 security group.

### withStatus

    public EC2SecurityGroup withStatus(String status)

  Provides the status of the EC2 security group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `status` - Provides the status of the EC2 security group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEC2SecurityGroupName

    public String getEC2SecurityGroupName()

  Specifies the name of the EC2 Security Group.

  Returns:
    Specifies the name of the EC2 Security Group.

### setEC2SecurityGroupName

    public void setEC2SecurityGroupName(String eC2SecurityGroupName)

  Specifies the name of the EC2 Security Group.

  Parameters:
    `eC2SecurityGroupName` - Specifies the name of the EC2 Security Group.

### withEC2SecurityGroupName

    public EC2SecurityGroup withEC2SecurityGroupName(String eC2SecurityGroupName)

  Specifies the name of the EC2 Security Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `eC2SecurityGroupName` - Specifies the name of the EC2 Security Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEC2SecurityGroupOwnerId

    public String getEC2SecurityGroupOwnerId()

  Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.

  Returns:
    Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.

### setEC2SecurityGroupOwnerId

    public void setEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)

  Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.

  Parameters:
    `eC2SecurityGroupOwnerId` - Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.

### withEC2SecurityGroupOwnerId

    public EC2SecurityGroup withEC2SecurityGroupOwnerId(String eC2SecurityGroupOwnerId)

  Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `eC2SecurityGroupOwnerId` - Specifies the AWS ID of the owner of the EC2 security group specified in the EC2SecurityGroupName field.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.